local race = require("love_src.src.world.top_down_race.component.race")

local template = {}

template.default_data = {
  velocity = {0.0, 0.0},
  forward = {0.0, 0.0},
  max_speed = 10.0,
  min_speed = 0.0,

  accel = 10.0,
  brake = 10.0,
  grip = 10.0,
  steer = 10.0,
  inertia = {0.0, 0.0},
  mass = 10.0,
  streamline = 1.0
}
function template.assemble(e, data)
  e:give(race.dict.max_speed, data.max_speed)
  e:give(race.dict.min_speed, data.min_speed)
  e:give(race.dict.velocity, data.velocity[1], data.velocity[2])
  e:give(race.dict.velocity, data.forward[1], data.forward[2])

  e:give(race.dict.accel, data.accel)
  e:give(race.dict.brake, data.brake)
  e:give(race.dict.grip, data.grip)
  e:give(race.dict.steer, data.steer)
  e:give(race.dict.inertia, data.inertia[1], data.inertia[2])
  e:give(race.dict.mass, data.mass)
  e:give(race.dict.streamline, data.streamline)
end

return template
